'Base64½âÂë
#Include Once "inc/CrypToHash.bi"
Function Base64_Decode(pDat As String ) As String 
    Dim iSize As Long ,F As ZString Ptr,By() As UByte    
    iSize = Len(pDat)
    If iSize Then
        ReDim by(iSize + 2)
        f=@by(0)
        Base64Decode(StrPtr(pDat), @by(0))
    Return *f
    End If

End Function